PHP 5.3.1 sur CentOS 5.3 ou Ubuntu 8.04 / 9.10

Pardonnez-moi pour une telle question de débutant, mais dans CentOS 5.3 ou Ubuntu 8.04 / 9.10, quel est le moyen le plus simple d'installer (et de restr à jour) PHP 5.3 [.1] via yum ou apt-get , respectivement?

Merci d'avance!

Zend, qui est l'entité commerciale derrière PHP, dispose d'un set de repositorys yum / apt que vous pouvez utiliser pour installer et mettre à jour PHP 5.3 sur Ubuntu et RHEL / CentOS.

Il existe une édition communautaire qui peut être utilisée comme vous le souhaitez sans frais, mais tous les composants ne sont pas open source («libre seulement en bière»).

Pour installer, vous appendiez un file Zend.repo à /etc/yum.repos.d (ou modifiez /apt/sources.list) et faites ensuite

 yum install zend-server-ce-php-5.3 

ou

 apt-get update apt-get install zend-server-ce-php-5.3 

Les instructions complètes sont au choix de la dissortingbution à installer

Il comprend un cache opcode (Zend Optimizer +) et un débogueur (Zend Debugger) bien que ce ne soit peut-être pas aussi utilisé que APC ou Xdebug, peut-être parce qu'ils ne sont pas open source.

Il comprend également Zend Framework et diverses extensions telles que le pont php-java, les pilotes de database (qui ne sont pas tous inclus dans les dissortingbutions PHP normales) et une console de gestion Web.

Il existe également une version commerciale qui inclut un support et des fonctionnalités supplémentaires.

La réponse à votre question est votre question: si vous utilisez les versions emballées de la dissortingbution d'Apache et de PHP, vous installez (et / ou mettez à jour) ces packages en utilisant yum ou apt-get . Si vous êtes vraiment nouveau, je suggérerais aptitude (console / terminal) ou synaptic (X11) sur Ubuntu – qui sont à la fois menus et supposément plus amicaux. Je sais que des équivalents existent sur CentOS, mais n'ont aucune idée de ce qu'ils sont 🙂

Re: Mise à niveau de PHP, si votre dissortingbution a publié un nouveau package, une yum update ou une yum update apt-get upgrade et l'installent (avec tout ce qui est dépassé). Si tout ce que vous voulez mettre à jour est PHP (et laisser tout le rest seul), vous spécifiez le package PHP à la fin de ces commands (par exemple, yum update php ).

Edit: cette jolie publication de blog donne des détails sur la façon d'append un repose-pied avec PHP 5.3.x, car apparemment Ubuntu n'a pas de package officiel 5.3.x pour 9.10

Pour Ubuntu, voir ma réponse ici

(Fondamentalement, utilisez ces packages et vous allez bien 🙂

J'espère que cela aide!